Section "Module"
  Load "dri"
  Load "glx"
  Load "v4l"
  Load "extmod"
EndSection

Section "ServerFlags"
  Option "AllowMouseOpenFail" "true"
  Option "AIGLX" "on"
  Option "ZapWarning" "on"
EndSection

Section "InputDevice"
  Identifier "keyboard0"
  Driver     "kbd"
  Option     "XkbLayout" "de"
  Option     "XkbModel"  "pc105"
  Option     "XkbVariant" "nodeadkeys"
EndSection

Section "InputDevice"
  Identifier "mouse0"
  Driver     "mouse"
  Option     "Device"          "/dev/input/mice"
  Option     "Emulate3Buttons" "yes"
  Option     "ZAxisMapping"    "4 5"
EndSection

Section "InputDevice"
  Identifier "touchpad0"
  Option     "SHMConfig" "on"
  Driver     "synaptics"
  Option     "CorePointer"
  Option     "Device"      "/dev/input/mice"
  Option     "Protocol"    "auto-dev"
EndSection

Section "Monitor"
  Identifier "monitor0"
  VendorName "MSI"
  Option     "DPMS"
EndSection

Section "Device"
  Identifier "device0"
  VendorName "intel"
  BoardName  "GMA 950"
  Driver     "intel"
  BusID      "0:2:0"
EndSection

Section "Screen"
  Identifier "screen0"
  Device     "device0"
  Monitor    "monitor0"
  DefaultColorDepth 24
    SubSection "Display"
      Depth 24
    EndSubSection
EndSection

Section "ServerLayout"
  Identifier  "layout0"
  InputDevice "keyboard0" "CoreKeyboard"
  InputDevice "mouse0"
  InputDevice "touchpad0"
  Screen      "screen0"
EndSection

Section "Dri"
  Group "video"
  Mode  0666
EndSection
